The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

How to switch MySQL5.0 to be 4.0?

Discussion in 'General Discussion' started by goodgbb, Aug 24, 2006.

  1. goodgbb

    goodgbb Well-Known Member

    Joined:
    Aug 15, 2005
    Messages:
    75
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Thailand
    Nowadays, I have got lots of errors after use MySQL 5.0
    So, I'm trying to use MySQL 4.0 as before becuase I did not get any errors.

    I went to WHM then I have found that I have only one choice to choose. It's only 5.0 to choose. How do I use MySQL 4.0 when I can't see this case box?

    Please guide me. I'm just want to use MySQL 4.0 as before.
    Thank you so much for every suggestions :)
     

    Attached Files:

  2. jamesbond

    jamesbond Well-Known Member

    Joined:
    Oct 9, 2002
    Messages:
    738
    Likes Received:
    1
    Trophy Points:
    18
    If you downgrade to MySQL 4.0 you will have even more problems, as the mysql 5 databases are not compatible with 4.0.

    If you have MySQL 4.0 database backups, you can go back to 4.0 as explained here:
    http://forums.cpanel.net/showpost.php?p=259893&postcount=2

    After that restore the 4.0 mysql backups. Before doing so, make sure you have backups of your current Mysql 5 databases as well.

    What errors do you have with MySQL 5.0 ? It seems to be working ok on my server (5.0.24)
     
  3. goodgbb

    goodgbb Well-Known Member

    Joined:
    Aug 15, 2005
    Messages:
    75
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Thailand
    Thanks jamesbond,

    I have got this error after upgrade to be MySQL 5.0
    Code:
    request CLEbook->Update() is invalid
    I don't know much about PHP & MySQL.
    Can you guide me to solve it.
     
  4. jamesbond

    jamesbond Well-Known Member

    Joined:
    Oct 9, 2002
    Messages:
    738
    Likes Received:
    1
    Trophy Points:
    18
    What php script gives that error? Perhaps you can ask the creators of that script about MySQL 5.0 support?
     
  5. goodgbb

    goodgbb Well-Known Member

    Joined:
    Aug 15, 2005
    Messages:
    75
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Thailand
    Downgraded to be MySQL 4 then I can't start MySQL service.
    Help me please~ T_T

    root@xxx [~]# service mysql start
    root@xxx [~]# service mysql stop
    No mysqld pid file found. Looked for /var/lib/mysql/oceania.theplanet.com.pid.
     
    #5 goodgbb, Aug 24, 2006
    Last edited: Aug 24, 2006
  6. goodgbb

    goodgbb Well-Known Member

    Joined:
    Aug 15, 2005
    Messages:
    75
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Thailand
  7. jamesbond

    jamesbond Well-Known Member

    Joined:
    Oct 9, 2002
    Messages:
    738
    Likes Received:
    1
    Trophy Points:
    18
    I'm glad the downgrade worked for you :)
     
  8. goodgbb

    goodgbb Well-Known Member

    Joined:
    Aug 15, 2005
    Messages:
    75
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Thailand
Loading...

Share This Page